<div id="tabcon-4" class="tabcontent" data-var="structureChanges">
  <!--wrapper-wrap start -->
  <div class="wrapper-wrap">
    <div class="row">
      <div class="col-sm-12">
          <!-- <div class="alert alert-info">
              <i class="glyphicon glyphicon-info-sign"></i>
              All Fields are mandatory.
          </div> -->
          <div class="alert alert-danger" role="alert" data-ng-show="showInvalidColumns &amp;&amp; isFormInvalid">
            <!-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button> -->
            <div data-ng-repeat="msg in invalidColumns" class="marginb10">
                <i class="glyphicon glyphicon-alert marginr10"></i>
                {{msg}}
            </div>
          </div>
      </div> 
      <div class="col-sm-10">
         <h3>This table includes the details of the current and proposed organizational units. Also, it includes the change type.</h3>
      </div>
      <div class="col-sm-1"><button type="button" class="btn btn-info add-row" data-ng-click="addRow()">Add Row</button></div>
      <div class="col-sm-12">
         <div class="table-responsive">
            <table class="table table-red table-bordered proposed-strct-table">
               <thead>
                  <tr>
                    <td data-var="newName" width="9%">Proposed Organizational Unit</td>
                    <td data-var="newLevel" width="10%">Proposed Unit Level</td>
                    <td data-var="newParent" width="9%">Proposed Parent Unit</td>
                    <td data-var="newHeadCount" width="9%">Proposed Head Count</td>
                    <td data-var="changeType" width="13%">Change Type</td>
                    <td data-var="division" width="9%">Current Organizational Unit</td>
                    <td data-var="level" width="10%">Current Unit Level</td>
                    <td data-var="parent" width="9%">Current Parent Unit</td>
                    <td data-var="headCount" width="1%">Current Head Count</td>
                    <td data-var="justification" width="16%">Justification</td>
                    <td width="5%">Action</td>
                  </tr>
               </thead>
               <tbody>
                  <tr data-ng-repeat="item in structureChanges">
                    <td>
                      <input class="form-control form-input-new" placeholder="Enter Proposed Organizational Unit" data-ng-model="item.newName">
                    </td>
                    <td>
                      <select class="form-control form-select-new" data-ng-model="item.newLevel">
                        <option value="">-Select-</option>
                        <option value="Sector">Sector</option>
                        <option value="Agency">Agency</option>
                        <option value="Department">Department</option>
                        <option value="Office">Office</option>
                        <option value="Section">Section</option>
                      </select>
                    </td>
                    <td>
                      <input class="form-control form-input-new" placeholder="Enter Proposed Parent Unit" data-ng-model="item.newParent">
                    </td>
                    <td>
                      <input type="number" min="0" onkeypress='return event.charCode >= 48 && event.charCode <= 57' class="form-control form-input-new" placeholder="Enter Proposed head Count" data-ng-model="item.newHeadCount">
                    </td>
                    <td>
                      <select class="form-control form-select-new" data-ng-model="item.changeType">
                        <option value="">-Select-</option>
                        <option value="New">New</option>
                        <option value="Cancel">Cancel</option>
                        <option value="Merge">Merge</option>
                        <option value="Transfer">Transfer</option>
                        <option value="Ammend Roles & Responsibility">Amend Roles & Responsibility</option>
                        <option value="Ammend Name">Amend Name</option>
                        <option value="Modify Level">Modify Level</option>
                        <option value="Separate">Separate</option>
                      </select>
                    </td>
                    <td>
                      <input class="form-control form-input-new" placeholder="Current Organizational Unit" data-ng-model="item.division">
                    </td>
                    <td>
                      <select class="form-control form-select-new" data-ng-model="item.level">
                        <option value="">-Select-</option>
                        <option value="Sector">Sector</option>
                        <option value="Agency">Agency</option>
                        <option value="Department">Department</option>
                        <option value="Office">Office</option>
                        <option value="Center">Center</option>
                        <option value="Section">Section</option>
                      </select>
                    </td>
                    <td>
                      <input class="form-control form-input-new" placeholder="Current Parent Unit" data-ng-model="item.parent">
                    </td>
                    <td>
                      <input type="number" min="0" onkeypress='return event.charCode >= 48 && event.charCode <= 57' class="form-control form-input-new" placeholder="Current Head Count" data-ng-model="item.headCount">
                    </td>
                    <td>
                      <textarea rows="4" class="form-control form-input" data-ng-model="item.justification"></textarea>
                    </td>
                    <td class="text-center">
                        <i class="glyphicon glyphicon-remove-sign fa-2x" data-ng-click="deleteRow($index)"></i>
                    </td>
                  </tr>
               </tbody>
            </table>
         </div>
      </div>
    </div>
  <!--wrapper-wrap end -->
  <div class="clear"></div>
</div>